Subject: RE: ls and wildcards
From: "Thrall, Bryan" <[email-masked]>
To: "Karl M" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 14 Jul 2009 11:08:41 -0500
List-Id: <cygwin.cygwin.com>

http://cygwin.com/acronyms/#PPIOSPE

Karl M wrote on Tuesday, July 14, 2009 10:37 AM:

>> Subject: RE: ls and wildcards
>> Date: Tue, 14 Jul 2009 10:26:19 -0500
>> From: bryan.thrall
>> 
>> Karl M wrote on Tuesday, July 14, 2009 10:17 AM:
>> 
>>> Hi All...
>>> 
>>> I just noticed while looking around after updating dash that "ls
/bin/*sh"
>>> does not find bash and dash, but it does on my Fedora core 6 machine
at
>>> work. I see the issue in both 1.5 and 1.7, attached is an example in
cygwin
>>> 1.7. 
>>> 
>>> Thanks,
>>> 
>>> ...Karl
>> 
>> I can reproduce this (for bash, anyway; I don't have dash installed),
plus:
>> 
>> $ ls /bin/*sh.exe
>> /bin/ash.exe /bin/ksh.exe /bin/ppmflash.exe /bin/sh.exe
/bin/tclsh.exe
>> /bin/bash.exe /bin/pdksh.exe /bin/rsh.exe /bin/ssh.exe /bin/wish.exe
>> 
> So it is an issue with the exe magic and ls. The .exe files are not
found.
> 
> Is the intended behavior?

See Eric and Corinna's replies to the mailing list; apparently, it is a
deficiency in glob() and fnmatch().

-- 
Bryan Thrall
FlightSafety International
[email-masked]

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple